
#pragma once

/////////////////////////////////////////////////////////////////////////////
// CVideoView window

class CVideoView : public CStatic
{
// Construction
public:
	CVideoView();

// Attributes
public:
    int m_nIndex;
// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVideoView)
	protected:
	virtual void PreSubclassWindow();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CVideoView();

	// Generated message map functions
protected:
	//{{AFX_MSG(CVideoView)
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnPaint();
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnVideosettingMu();
	afx_msg void OnVideosettingClosevideo();
	afx_msg void OnVideosettingAudiomute();
	afx_msg void OnVideosettingAudioplay();
	afx_msg void OnVideosettingPauseaudio();
};

